com.tibco.n2.service.adapter.binding

## Interface EventCollectorManagementService

- All Known Implementing Classes:
    EventCollectorManagementService

      public interface EventCollectorManagementService

  Provides access to the Event Collector Management Service.

  ©2011 TIBCO Software Inc.
  Since:
    2.0.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.ec.api.base.AutoArchiveStatus` | `checkAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)` Check the status of the AutoArchive
    `com.tibco.n2.ec.api.base.PurgeStatus` | `checkPurgeAudit()` Deprecated.
    `com.tibco.n2.ec.api.base.PurgeStatus` | `checkPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)`
    `com.tibco.n2.ec.api.base.PurgeStatus` | `doPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)` Perform a purge of audit data in the Event Collector database.
    `com.tibco.n2.ec.api.base.ActionResult` | `executeAction(com.tibco.n2.ec.api.base.Action action, com.tibco.n2.ec.api.base.ActionOptions options)` PRIVATE API - Reserved for Internal Use
    `com.tibco.n2.ec.api.base.Configuration` | `getConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area)` PRIVATE API - Reserved for Internal Use
    `com.tibco.n2.ec.api.base.ConfigurationUpdateDetails` | `setConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area, com.tibco.n2.ec.api.base.Configuration configuration)` PRIVATE API - Reserved for Internal Use
    `void` | `stopAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)` Stop the Auto-Purge if running
    `com.tibco.n2.ec.api.base.PurgeStatus` | `stopPurgeAudit()` Deprecated.
    `com.tibco.n2.ec.api.base.PurgeStatus` | `stopPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)`
    `void` | `triggerAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)` Trigger the Auto-Purge thread to run immediately

- - ### Method Detail

    - #### doPurgeAudit

          com.tibco.n2.ec.api.base.PurgeStatus doPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)
                                                     throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                            com.tibco.n2.ec.services.InternalServiceFault,
                                                            com.tibco.n2.ec.services.SecurityFault

      Perform a purge of audit data in the Event Collector database.
      Parameters:
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### triggerAutoArchive

          void triggerAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)
                           throws com.tibco.n2.ec.services.InvalidRequestFault,
                                  com.tibco.n2.ec.services.InternalServiceFault,
                                  com.tibco.n2.ec.services.SecurityFault

      Trigger the Auto-Purge thread to run immediately
      Parameters:
        `options` -
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### stopAutoArchive

          void stopAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)
                        throws com.tibco.n2.ec.services.InvalidRequestFault,
                               com.tibco.n2.ec.services.InternalServiceFault,
                               com.tibco.n2.ec.services.SecurityFault

      Stop the Auto-Purge if running
      Parameters:
        `options` -
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### checkAutoArchive

          com.tibco.n2.ec.api.base.AutoArchiveStatus checkAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)
                                                               throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                      com.tibco.n2.ec.services.InternalServiceFault,
                                                                      com.tibco.n2.ec.services.SecurityFault

      Check the status of the AutoArchive
      Parameters:
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### checkPurgeAudit

          @Deprecated
          com.tibco.n2.ec.api.base.PurgeStatus checkPurgeAudit()
                                                                    throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                           com.tibco.n2.ec.services.InternalServiceFault,
                                                                           com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      Check the status of the current purge of audit data.
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### checkPurgeAudit

          com.tibco.n2.ec.api.base.PurgeStatus checkPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)
                                                        throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                               com.tibco.n2.ec.services.InternalServiceFault,
                                                               com.tibco.n2.ec.services.SecurityFault

      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### stopPurgeAudit

          @Deprecated
          com.tibco.n2.ec.api.base.PurgeStatus stopPurgeAudit()
                                                                   throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                          com.tibco.n2.ec.services.InternalServiceFault,
                                                                          com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      Stop the current purge of audit data.
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### stopPurgeAudit

          com.tibco.n2.ec.api.base.PurgeStatus stopPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)
                                                       throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                              com.tibco.n2.ec.services.InternalServiceFault,
                                                              com.tibco.n2.ec.services.SecurityFault

      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getConfiguration

          com.tibco.n2.ec.api.base.Configuration getConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area)
                                                           throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                  com.tibco.n2.ec.services.InternalServiceFault,
                                                                  com.tibco.n2.ec.services.SecurityFault

      PRIVATE API - Reserved for Internal Use
      Parameters:
        `area` -
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### setConfiguration

          com.tibco.n2.ec.api.base.ConfigurationUpdateDetails setConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area,
                                                                               com.tibco.n2.ec.api.base.Configuration configuration)
                                                                        throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                               com.tibco.n2.ec.services.InternalServiceFault,
                                                                               com.tibco.n2.ec.services.SecurityFault

      PRIVATE API - Reserved for Internal Use
      Parameters:
        `area` -
        `entryArray` -
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### executeAction

          com.tibco.n2.ec.api.base.ActionResult executeAction(com.tibco.n2.ec.api.base.Action action,
                                                              com.tibco.n2.ec.api.base.ActionOptions options)
                                                       throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                              com.tibco.n2.ec.services.InternalServiceFault,
                                                              com.tibco.n2.ec.services.SecurityFault

      PRIVATE API - Reserved for Internal Use
      Parameters:
        `area` -
        `entryArray` -
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.